#!/usr/bin/env node
import {
  type EntryPointConfig,
  generateDtsBundle,
} from 'dts-bundle-generator/dist/bundle-generator';
import * as ts from 'typescript';

export function dts({
  source,
  dist,
  project,
}: {
  source: string;
  dist: string;
  project: string;
}): void {
  const entry: EntryPointConfig = {
    filePath: source,
    failOnClass: false,
    output: {
      exportReferencedTypes: true,
    },
  };

  const generatedDts = generateDtsBundle([entry], {
    preferredConfigPath: project,
    followSymlinks: true,
  });

  ts.sys.writeFile(dist, generatedDts[0]);
}
