// eslint-disable-next-line import-x/unambiguous
declare module 'eslint-plugin-testing-library' {
  import type { Rule, Linter } from 'eslint';

  // 6.3.0
  const plugin: {
    meta: {
      name: 'eslint-plugin-testing-library';
      version: '6.3.0';
    };
    configs: {
      dom: Linter.BaseConfig;
      angular: Linter.BaseConfig;
      react: Linter.BaseConfig;
      vue: Linter.BaseConfig;
      marko: Linter.BaseConfig;
      'flat/dom': Linter.Config;
      'flat/angular': Linter.Config;
      'flat/react': Linter.Config;
      'flat/vue': Linter.Config;
      'flat/marko': Linter.Config;
    };
    rules: {
      'await-async-events': Rule.RuleModule;
      'await-async-queries': Rule.RuleModule;
      'await-async-utils': Rule.RuleModule;
      'consistent-data-testid': Rule.RuleModule;
      'no-await-sync-events': Rule.RuleModule;
      'no-await-sync-queries': Rule.RuleModule;
      'no-container': Rule.RuleModule;
      'no-debugging-utils': Rule.RuleModule;
      'no-dom-import': Rule.RuleModule;
      'no-global-regexp-flag-in-query': Rule.RuleModule;
      'no-manual-cleanup': Rule.RuleModule;
      'no-node-access': Rule.RuleModule;
      'no-promise-in-fire-event': Rule.RuleModule;
      'no-render-in-lifecycle': Rule.RuleModule;
      'no-unnecessary-act': Rule.RuleModule;
      'no-wait-for-multiple-assertions': Rule.RuleModule;
      'no-wait-for-side-effects': Rule.RuleModule;
      'no-wait-for-snapshot': Rule.RuleModule;
      'prefer-explicit-assert': Rule.RuleModule;
      'prefer-find-by': Rule.RuleModule;
      'prefer-implicit-assert': Rule.RuleModule;
      'prefer-presence-queries': Rule.RuleModule;
      'prefer-query-by-disappearance': Rule.RuleModule;
      'prefer-query-matchers': Rule.RuleModule;
      'prefer-screen-queries': Rule.RuleModule;
      'prefer-user-event': Rule.RuleModule;
      'render-result-naming-convention': Rule.RuleModule;
    };
  };

  export = plugin;
}
